Subject: [AAA-WG]: part 3: charset issue with draft-ietf-aaa-diameter-15.txt

From: <[email-masked]>
Date: Tue, 3 Dec 2002 15:23:28 +0200

> - Sect 6.1 first couple of paragraphs
>   What is an implementation supposed to do when a request is not conformant
>   to all these rules? Send an error I guess. Which error?

Section 6.1 is a general section, an overview.  I have put in a reference to section 7 for error handling.

> - Bullet 4) towards the end of page 70
>   and also for example sect 6.1.3
>   Must the E-Bit be set? I think section 7.1.3 says that it must.
>   But I was wondering about that at several places in the text before I
>   actually got to sect 7.1.3.

OK, I have tried to fix that.

> - section 6.1.1
>   bulleted list.... Are the "should" verbs not very weak? I think I would
>   write is as follows:
>     - the Command-Code is set to the appropriate value
>     - the R-bit is set to 1
>   etc...

Agreed.

> Nits
> - Missing an IPR section

Added.

> - probably first AAA occurence in abstract should be expanded

Yup.

> - Do we use MUST in an abstract normally

Nope.

> - Quite a bit of RFC2119 terms is used before it is actually
>   explained (in sect 1.3) that it is indeed 2119 terms

Moved to after the abstract.

> - is the frist sentence of the last para of sect 1.2 really a
>   sentence? It sounds really weird to me.

Did some fine tuning.

> - sect 1.2.3 acronym EAP used without expanding

EAP first used in section 1. and expanded there.

> - Acronyms for command-Names used before they are defined
>   (for example in sect 1.2.4

expanded.

> - Last para in sect 1.2.3 is the same as one-but-last para
>   in sect 1.2.4 (wel more or less)

got it.

> - Sect 1.4
>   Accounting Record is a term they want to define, but in the
>   definition they seem to be talking about a session record instead?

OK fixed.

> - Sect 2.1 first sentence:  s/profileis/profile is/

OK

> - Sect 2.1 1st sentence 4th para
>    ... an attempt ... SHOULD be .. attempted
>   Sounds weird to me

attempted -> made.

> - They are not very consistent in capitalizing things.
>   For example they use:
>   - Translation Agent and Translation agent and translation agent
>   - Redirect agent and redirect agent
>   - Proxy agent, proxies and Proxies
>   etc

OK, harmonized.

> - page 31:
>     s/referred to as an error messages/referred to as error messages/

ok
> - page 31 says "MUST reset this flag"... would it be better to
>   say "MUST clear this flag" ??

ok

> - The "(in network byte order)" seems redudant a number of times
>   on page 32. All fields in the header are in network byte order
>   according to the beginning of sect 3. I can live with it.

left as is, as it causes no harm.

> - page 41/42
>   Maybe be more consistent w.r.t. fqdn and FQDN ??

OK, done.

> - sect 5.3.3
>   Speaks about a "Diameter device". Is that indeed meant? Can a vendor not
>   just sell a piece of "Diameter software/application" that runs on
>   someone elses devices, maybe on devices of multiple other vendors?

OK, agree.

John